<?php
echo '<p><b>Mise à jour base de données <i class="fas fa-angle-double-right"></i> Version 0.33</b></p><ul>';
// création de la table _etab_effectifs
mysqli_query($bdd,"CREATE TABLE IF NOT EXISTS ".$base.".".$prefix."_etab_effectifs (etab_id INT ( 11 ) DEFAULT NULL, anneesco VARCHAR ( 100 ) COLLATE utf8_unicode_ci NOT NULL, division VARCHAR ( 30 ) COLLATE utf8_unicode_ci NOT NULL, effectif INT (11)  ) ENGINE = MYISAM DEFAULT CHARSET = utf8 COLLATE = utf8_unicode_ci;");

echo '<li>Création de la table _etab_effectifs (gestion des effectifs sur le temps long).</li>';

$month = date("n");
if(($month>0&&date("Y")==2020)&&($month<9&&date("Y")==2020)) {
	$anneesco = '2019/2020';
	$noint = 0;
}
else if(($month>8&&date("Y")==2020)&&($month<9&&date("Y")==2021)) {
	$anneesco = '2020/2021';
	$noint = 0;
}
else { $noint = 1; }
$divisions = mysqli_query($bdd,"SELECT division FROM ".$prefix."_eleves GROUP BY division ORDER BY division ASC");
if(mysqli_num_rows($divisions)>0&&$noint==0) {
	$etab = mysqli_query($bdd,"SELECT etab_id FROM ".$prefix."_etab");
	if(mysqli_num_rows($etab)>0) {
		$etab_info = mysqli_fetch_assoc($etab);
		$etab_id = $etab_info['etab_id'];
	}
	else { $etab_id = ''; }
	foreach($divisions as $div) {
		$nbeleves = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_eleves WHERE division = '".$div['division']."'"));
		mysqli_query($bdd,"INSERT INTO ".$prefix."_etab_effectifs (etab_id, anneesco, division, effectif) VALUES ('".$etab_id."', '".$anneesco."', '".$div['division']."', '".$nbeleves."')");
	}
	echo '<li>Intégration des effectifs de l\'année en cours (à retrouver et vérifier dans <a href="param.php?page=etab">param.php?page=etab</a>).</li>';
}

else {
	echo '<li>Pas d\'intégration des effectifs de l\'année en cours (à faire dans <a href="param.php?page=etab">param.php?page=etab</a>).</li>';
}

$ouverture = opendir("./js/");
$lecture = readdir($ouverture);
$filename = './js/jquery-3.4.1.js';
if (file_exists($filename)) {
	unlink ("./js/jquery-3.4.1.js");
}
closedir($ouverture);
echo '<li>Suppression du fichier obsolète /js/jquery-3.4.1.js.</li></ul>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.33' WHERE param_nom = 'version_bdd'");

echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.33.</li></ul>';
?>